asrack(1.0)

NAME
asrack - the WindowMaker Sound Control

SYNOPSIS
asrack [options]

DESCRIPTION
The asrack is CD player and Audio Mixer written to play audio CD's integrated in AfterSteps Wharf module or docked to WindowMaker. asrack handles mounted volumes, opens and closes the tray, can display the current position in various ways and skips also data tracks.

OPTIONS

-d DEVICE or --device DEVICE
    Sets the CD-ROM device. This defaults to /dev/cdrom.

-h or  --help
    Prints a summary of supported options and their default values.

-l COLSPEC or --ledcolor COLSPEC
    Specifies the color of the led. It is darkened two times (for a total of three colors) to get all needed colors. So better use a bright color.

    For the design of own XPM, the ledcolor is made avaiable through the use of the symbolic xpm color names led_color_high, led_color_low, and led_color_med. There is also a symbol named led_color_back to get the default background color of the led-display.

    To find out what colors are available, try showrgb (part of X11).

-p or --noprobe
    This option disables the startup probing for a cd. Default is to probe the cdrom. This will close the tray and read the TOC of the cd (if there is one).

-s STYLEFILE or --style STYLEFILE
    asrack will try to load its window-pixmaps from the specified STYLEFILE. It will search this file for XPM pixmaps named cdnodisc, cdplaying, cdpaused, cdstopped, cdled, mixer, and mixled. If some of those are not defined, the compile-time defaults will be used.

-w or --withdrawn
    Starts the asrack in withdrawn window state. This is useful to dock the window to WindowMaker.

INVOCATION
asrack can be called using different ways. The most common invocation is from your dock file:

        asrack
        asrack
        POSITION 2 -1 0
        asrack
        --withdrawn

Another way to call asrack is to swallow it into the afterstep (1) Wharf (1). This is best done playcing the following line into your .steprc:

    *Wharf asrack nil Swallow "asrack" asrack &

This method will also work for other button-bars, such as the FvwmButtons (1) of the fvwm (1) window manager.

USAGE
The asrack features a simple click interface. All times the buttons will show a standart sign which specifies the action it will do. But there are some noteable extensions to that explained below.

The default behavior of asrack is to try to read the cdrom at startup. If there was no cd, it will not try again unless you press the close or play button. This will close the cdrom and again try to read it. Unless there is a cd, asrack will again suspend until your next action.

skip
    By pressing the button down and holding it on one of the prev/next track buttons the cdrom goes fast forward or backward.

time left
    A button-1 click into the time display switches between time running and time left display.

total time
    A button-2 click into the time display switches between track and total time.

repeat
    A button-3 click into the time display cycles through normal mode, repeat all, and repeat one play mode.

COPYRIGHTS
Copyright 1997, Oliver Graf <ograf@fga.de>. Most styles copyright 1997, Heiko Wagner <hwagner@fga.de>.

Distributed under GNU GPL v2 ; see LICENSE file for more informations.

AUTHORS
Oliver Graf <ograf@fga.de> -- the coding

Heiko Wagner <hwagner@fga.de> -- the hyped window shapes

CREDITS
Rob Malda <malda@cs.hope.edu> -- who had written ascd and asmixer

Michael Kurz <mkurz@rzws.fh-aalen.de> -- also for ascd and asmixer

Thomas McWilliams <tgm@netcom.com> -- who has done Workbone